漏洞信息详情

Openswan和Strongswan IPsec 输入验证错误漏洞

  • CNNVD编号:CNNVD-200904-004
  • 危害等级: 中危
  • CVE编号: CVE-2009-0790
  • 漏洞类型: 输入验证错误
  • 发布时间: 2009-03-30
  • 威胁类型: 远程
  • 更新时间: 2019-07-31
  • 厂        商: openswan
  • 漏洞来源: Paul Wouters pau...

漏洞简介

SAP Data Services是德国思爱普(SAP)公司的一套企业数据管理软件。该软件支持处理结构化与非结构化数据,并支持数据的转换、清理和匹配等功能。

Openswan和Strongswan IPsec中的pluto IKE守护进程存在输入验证错误漏洞。该漏洞源于网络系统或产品未对输入的数据进行正确的验证。以下产品及版本受到影响:Openswan 2.6.21之前的2.6版本,2.4.14之前的2.4版本;Strongswan 4.2.14之前的4.2版本,2.8.9之前的2.8版本,2.6.21之前的2.6版本,2.4.14之前的2.4版本。

漏洞公告

目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:

http://www.debian.org/security/2009/dsa-1759

参考网址

来源:DEBIAN

链接:http://www.debian.org/security/2009/dsa-1760

来源:OVAL

链接:https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11171

来源:REDHAT

链接:http://www.redhat.com/support/errata/RHSA-2009-0402.html

来源:XF

链接:https://exchange.xforce.ibmcloud.com/vulnerabilities/49523

来源:DEBIAN

链接:http://www.debian.org/security/2009/dsa-1759

来源:SECUNIA

链接:http://secunia.com/advisories/34472

来源:SECUNIA

链接:http://secunia.com/advisories/34483

来源:SECUNIA

链接:http://secunia.com/advisories/34494

来源:BUGTRAQ

链接:http://www.securityfocus.com/archive/1/502270/100/0/threaded

来源:BID

链接:https://www.securityfocus.com/bid/34296

来源:SECTRACK

链接:http://www.securitytracker.com/id?1021950

来源:SECUNIA

链接:http://secunia.com/advisories/34546

来源:CONFIRM

链接:http://www.openswan.org/CVE-2009-0790/CVE-2009-0790.txt

来源:SECTRACK

链接:http://www.securitytracker.com/id?1021949

来源:SUSE

链接:http://lists.opensuse.org/opensuse-security-announce/2009-04/msg00010.html

来源:CONFIRM

链接:http://download.strongswan.org/CHANGES4.txt

来源:VUPEN

链接:http://www.vupen.com/english/advisories/2009/0886

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多